Package jakarta.el

# Class ImportHandler

java.lang.Object
jakarta.el.ImportHandler

public class ImportHandler extends Object

Since:
  EL 3.0

## Constructor Summary

Constructors
Constructor
Description
`ImportHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`importClass(String name)`
`void`
`importPackage(String name)`
`void`
`importStatic(String name)`
`Class<?>`
`resolveClass(String name)`
`Class<?>`
`resolveStatic(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportHandler

public ImportHandler()

## Method Details

### importStatic

public void importStatic(String name) throws ELException

Throws:
  `ELException`

### importClass

public void importClass(String name) throws ELException

Throws:
  `ELException`

### importPackage

public void importPackage(String name)

### resolveClass

public Class<?> resolveClass(String name)

### resolveStatic

public Class<?> resolveStatic(String name)